% Did not include in the grade, but what I was after was a loglog plot of f vs
% D/L^2 to show that all data fit that form (see attached plot with your data).
% Your data shows some dependence on D.  That may be due to the error in
% measuring D. Here are the commands:

%%

% constant
B=betaN(1); 

% 8x3 L matrix (m)  8x3 D matrix (m)  8x3 f matrix (hz)   
L=zeros(8,3);
D=zeros(8,3);
f=zeros(8,3);
for n=1:3;
  S=load(sprintf('C:\\Downloads\\koshy\\P471 Koshy Lab2\\P471 Koshy Lab2\\Spaghetti%dProcessedData.csv',n));
  L(:,n)=S(1,:)/100;
  D(:,n)=S(2,:)/100;
  f(:,n)=S(4,:);
end
% average density kg/m^3  
p=1488;

% log-log fit function  
pl=@(a,x)(log10(B^2/8/pi*sqrt(a(1)/p))+log10(x));

% fit for E
E=nlinfit(D(:)./L(:).^2,log10(f(:)),pl,5e9)

loglog(D./L.^2,(sqrt(E*(D).^2/p).*(B./L).^2/8/pi),'k',D./L.^2,f,'o');
axis('tight');
set(gca,'fontsize',20);
xlabel('D/L^2 (m^{-1})');
ylabel('Frequency (Hz)');

%%

The E from this analysis is 
6.55 +/- 0.15 GPa

Not sure why your values for E were off.  One issue some people had was with the linear density M/L versus density M/V in eq1 in the writeup.  I have made it clearer now, but did not take off for that mistake.
